Capacity
GET
/v1/capacitySupply: open establishments, rooms and bed places by period.
Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| countryoptional | string query | One or more ISO codes, comma separated e.g. CL,BA,AT |
| freqoptional | M | Q | A query | Frequency: monthly, quarterly or annual e.g. M |
| fromoptional | period query | First period to return e.g. 2025-01 |
| tooptional | period query | Last period to return e.g. 2026-08 |
Request
# Establishments, rooms and beds available
curl "https://api.tourismapi.com/v1/capacity?country=CL,BA,AT&from=2025-01&to=2026-08" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/capacity?country=CL,BA,AT&from=2025-01&to=2026-08", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/capacity?country=CL,BA,AT&from=2025-01&to=2026-08",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/capacity?country=CL,BA,AT&from=2025-01&to=2026-08");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_24786a4ab7",
"data_as_of": "2026-10-20T04:48:00Z",
"count": 3,
"measure": "capacity"
},
"data": [
{
"country": "CL",
"series": null,
"observations": [],
"note": "No capacity series held for CL."
},
{
"country": "BA",
"series": null,
"observations": [],
"note": "No capacity series held for BA."
},
{
"country": "AT",
"series": "sr_ckgy7wbt",
"name": "Accommodation capacity: Bedplaces, Hotels; holiday and other short-stay accommodation; camping grounds, recreational vehicle parks and trailer parks",
"unit": "Number",
"freq": "A",
"observations": [
{
"period": "2025",
"value": 1167138
}
]
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| country | string | CL |
| series | null | null |
| observations | array | 0 items |
| note | string | No capacity series held for CL. |